Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xorg-server-1.0.99 (is blocking media-video/nvidia-glx
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Mon Jun 05, 2006 9:45 pm    Post subject: xorg-server-1.0.99 (is blocking media-video/nvidia-glx Reply with quote

I have this problem:
Code:
emerge -av nvidia-glx

These are the packages that would be merged, in order:

Calculating dependencies... done!
[blocks B     ] >=x11-base/xorg-server-1.0.99 (is blocking media-video/nvidia-glx-1.0.8762)
[ebuild  N    ] media-video/nvidia-glx-1.0.8762  USE="-dlloader" 0 kB

Total size of downloads: 0 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.


Any ideas?
Back to top
View user's profile Send private message
Philantrop
Retired Dev
Retired Dev


Joined: 21 Dec 2004
Posts: 1129
Location: Germany

PostPosted: Mon Jun 05, 2006 10:01 pm    Post subject: Reply with quote

Yes, it's a known issue. There's an exclusion dependency in media-video/nvidia-glx-1.0.8762 for newer X.org servers. According to Gentoo developers, there is an incompatibility between both packages.

I'm writing this on X.org X11 7.1 with media-video/nvidia-glx-1.0.8762 running perfectly fine, though. On the other hand, I'm using quite a few packages that are new and not yet in portage so that might be the reason I'm having no problems at all.

You can try for yourself if you edit the ebuild for media-video/nvidia-glx-1.0.8762. Below is a patch that shows what to do - namely delete the line prefixed by the "-".

Of course, I take no responsibility if you try this and kill your X, your nvidia drivers or anything else. If it works for you, don't blame the Gentoo devs either, please.

Code:
*** /usr/portage/media-video/nvidia-glx/nvidia-glx-1.0.8762.ebuild      2006-06-03 08:36:06.000000000 +0200
--- /usr/local/overlays/portage/media-video/nvidia-glx/nvidia-glx-1.0.8762.ebuild       2006-06-04 21:25:02.000000000 +0200
***************
*** 24,30 ****
  RESTRICT="nostrip multilib-pkg-force"

  RDEPEND="|| ( x11-base/xorg-server virtual/x11 )
-        !>=x11-base/xorg-server-1.0.99
         || ( media-libs/mesa virtual/x11 )
         app-admin/eselect-opengl
         kernel_linux? ( ~media-video/nvidia-kernel-${PV} )
--- 24,29 ----


BUT: I suggest not to use the patch above. You can downgrade to a compatible version of x11-base/xorg-server and be on the safe side. Use all information here at your own risk.
Back to top
View user's profile Send private message
CosminG
Apprentice
Apprentice


Joined: 19 Jan 2005
Posts: 166

PostPosted: Mon Jun 05, 2006 10:05 pm    Post subject: Reply with quote

Thanks. I think I will just wait for this bug to be fix than.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Tue Jun 06, 2006 8:30 am    Post subject: Reply with quote

Moved from Desktop Environments to Duplicate Threads in favour of xorg-server-1.0.99.x ABI breaks nvidia/ati binary drivers.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum